Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineAccessReport

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineAccessReport

All Implemented Interfaces:
  AccessReport

public class EngineAccessReport
extends java.lang.Object
implements AccessReport

Constructor Summary
`EngineAccessReport(AccessReport report)`
`EngineAccessReport(java.lang.String name)`

Method Summary
`boolean` | `addAllTagReports(java.util.Collection tagReports)` Add all tag reports in the collection of tag reports to this access report.
`void` | `addTagReport(TagReport report)`
`java.lang.String` | `getName()` Return the name of this access report, which matches the name of the AccessSpec which generated it.
`java.util.List` | `getTagReports()` Return the List of TagReport objects, one for each tag the AccessSpec operated on.
`boolean` | `isEmpty()`
`void` | `setTagReports(java.util.List tagReportList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineAccessReport

    public EngineAccessReport(java.lang.String name)

### EngineAccessReport

    public EngineAccessReport(AccessReport report)

Method Detail

### addTagReport

    public void addTagReport(TagReport report)

### getName

    public java.lang.String getName()

  Description copied from interface: `AccessReport`
  Return the name of this access report, which matches the name of the AccessSpec which generated it.

  Specified by:
    `getName` in interface `AccessReport`
  Returns:
    the name of this access report

### getTagReports

    public java.util.List getTagReports()

  Description copied from interface: `AccessReport`
  Return the List of TagReport objects, one for each tag the AccessSpec operated on. The tag reports report the results of the AccessSpec on each tag.

  Specified by:
    `getTagReports` in interface `AccessReport`
  Returns:
    the list of TagReport objects that report the results of the AccessSpec on each tag in field

### setTagReports

    public void setTagReports(java.util.List tagReportList)

### isEmpty

    public boolean isEmpty()

### addAllTagReports

    public boolean addAllTagReports(java.util.Collection tagReports)

  Add all tag reports in the collection of tag reports to this access report.

  Parameters:
    `tagReports` - tag reports to be added
  Returns:
    true if there are any new tag reports added to the list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD